Skip to main content
POST
/
v1.0.0
/
users
/
{userId}
/
vehicles
/
{vehicleId}
/
commands
/
charging-stop
Submit command for vehicle to stop charging
curl --request POST \
  --url https://api.energy-hub.io/v1.0.0/users/{userId}/vehicles/{vehicleId}/commands/charging-stop \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.energy-hub.io/v1.0.0/users/{userId}/vehicles/{vehicleId}/commands/charging-stop"

headers = {"X-API-KEY": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.energy-hub.io/v1.0.0/users/{userId}/vehicles/{vehicleId}/commands/charging-stop', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
  "deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

userId
string
required

User ID

vehicleId
string<uuid>
required

Vehicle ID

Response

Successful operation

createdAt
string<date-time>
required

The timestamp when command is created.

id
string<uuid>
required

The ID of the command.

state
enum<string>
required

The state of the command.

  • PENDING - Command is waiting to be executed.
  • FAILED - Execution of command has failed.
  • EXECUTED - Command has been executed successfully.
Available options:
PENDING,
EXECUTED,
FAILED
type
enum<string>
required

The name of the command type to execute.

Available options:
CHARGING_START,
CHARGING_STOP,
SET_CHARGING_CURRENT,
SET_CHARGING_SCHEDULE
userId
string
required

The ID of the user.

Example:

"896f9d5a-b618-48a2-98ae-957059bf1bc9"

deviceId
string<uuid>
required

The ID of the vehicle.